Skip to main content
GET
/
api
/
v1
/
campaigns
/
{campaign_id}
/
leads
curl -X GET "https://api.foxreach.io/api/v1/campaigns/cmp_abc123/leads?page=1&pageSize=50" \
  -H "X-API-Key: otr_your_key"
{
  "data": [
    {
      "id": "cld_xyz789",
      "email": "[email protected]",
      "firstName": "John",
      "lastName": "Doe",
      "company": "Acme Inc",
      "status": "sent",
      "currentStep": 2,
      "totalSent": 2,
      "lastSentAt": "2025-01-18T09:00:00",
      "repliedAt": null
    }
  ],
  "meta": {
    "page": 1,
    "pageSize": 50,
    "total": 1,
    "totalPages": 1
  }
}

Path Parameters

campaign_id
string
required
The unique identifier of the campaign.

Query Parameters

page
integer
default:"1"
Page number (starts at 1).
pageSize
integer
default:"50"
Number of leads per page (1-100).
status
string
Filter by campaign lead status: pending, sent, paused, or completed.
Search by lead email, name, or company.

Response

data
array
Array of campaign lead objects.
meta
object
Pagination metadata.
curl -X GET "https://api.foxreach.io/api/v1/campaigns/cmp_abc123/leads?page=1&pageSize=50" \
  -H "X-API-Key: otr_your_key"
{
  "data": [
    {
      "id": "cld_xyz789",
      "email": "[email protected]",
      "firstName": "John",
      "lastName": "Doe",
      "company": "Acme Inc",
      "status": "sent",
      "currentStep": 2,
      "totalSent": 2,
      "lastSentAt": "2025-01-18T09:00:00",
      "repliedAt": null
    }
  ],
  "meta": {
    "page": 1,
    "pageSize": 50,
    "total": 1,
    "totalPages": 1
  }
}

Errors

StatusDescription
404Campaign not found